# flopc::VariableRef Class Reference
[Internal (private) interface.]

Semantic representation of a variable in a Math Program. More...

`#include <MP_variable.hpp>`

Inheritance diagram for flopc::VariableRef:
[legend]
Collaboration diagram for flopc::VariableRef:
[legend]

List of all members.

## Public Member Functions
int | getColumn () const
## Private Member Functions
| VariableRef (MP_variable *v, const MP_index_exp &i1, const MP_index_exp &i2, const MP_index_exp &i3, const MP_index_exp &i4, const MP_index_exp &i5)
double | level () const
void | insertVariables (std::set< MP_variable * > &v) const
double | getValue () const
int | getStage () const
void | generate (const MP_domain &domain, std::vector< Constant > multiplicators, GenerateFunctor &f, double m) const
## Private Attributes
MP_variable * | V
int | offset
const MP_index_exp | I1
const MP_index_exp | I2
const MP_index_exp | I3
const MP_index_exp | I4
const MP_index_exp | I5
## Friends
class | MP_variable

## Detailed Description

Semantic representation of a variable in a Math Program.

See also:
  MP_variable for a public interface.

Definition at line 35 of file MP_variable.hpp.

## Constructor & Destructor Documentation

flopc::VariableRef::VariableRef | ( | MP_variable * | v,
|  | const MP_index_exp & | i1,
|  | const MP_index_exp & | i2,
|  | const MP_index_exp & | i3,
|  | const MP_index_exp & | i4,
|  | const MP_index_exp & | i5 |
| ) |  |  | `[private]`

## Member Function Documentation

int flopc::VariableRef::getColumn | ( |  | ) | const`[virtual]`

Implements flopc::TerminalExpression.

double flopc::VariableRef::level | ( |  | ) | const`[private, virtual]`

Implements flopc::MP_expression_base.

void flopc::VariableRef::insertVariables | ( | std::set< MP_variable * > & | v | ) | const`[inline, private, virtual]`

Implements flopc::MP_expression_base.

Definition at line 49 of file MP_variable.hpp.

double flopc::VariableRef::getValue | ( |  | ) | const`[inline, private, virtual]`

Implements flopc::TerminalExpression.

Definition at line 52 of file MP_variable.hpp.

int flopc::VariableRef::getStage | ( |  | ) | const`[inline, private, virtual]`

Implements flopc::TerminalExpression.

Definition at line 55 of file MP_variable.hpp.

void flopc::VariableRef::generate | ( | const MP_domain & | domain,
|  | std::vector< Constant > | multiplicators,
|  | GenerateFunctor & | f,
|  | double | m |
| ) |  |  | const`[private, virtual]`

Implements flopc::MP_expression_base.

## Friends And Related Function Documentation

friend class MP_variable`[friend]`

Definition at line 36 of file MP_variable.hpp.

## Member Data Documentation

MP_variable* flopc::VariableRef::V`[private]`

Definition at line 62 of file MP_variable.hpp.

int flopc::VariableRef::offset`[private]`

Definition at line 63 of file MP_variable.hpp.

const MP_index_exp flopc::VariableRef::I1`[private]`

Definition at line 64 of file MP_variable.hpp.

const MP_index_exp flopc::VariableRef::I2`[private]`

Definition at line 64 of file MP_variable.hpp.

const MP_index_exp flopc::VariableRef::I3`[private]`

Definition at line 64 of file MP_variable.hpp.

const MP_index_exp flopc::VariableRef::I4`[private]`

Definition at line 64 of file MP_variable.hpp.

const MP_index_exp flopc::VariableRef::I5`[private]`

Definition at line 64 of file MP_variable.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_variable.hpp